#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		modname		libXaw
#-----------------------------------------------------------------------------
Name		:	xorg-libXaw
Version		:	1.0.15
Release		:	17.2.0.rel%{?dist}
Summary		:	X Athena Widget Set
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{modname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	xorg-libXpm
BuildRequires	:	xorg-libXmu
BuildRequires	:	xorg-util-macros

#-----------------------------------------------------------------------------
%description
Xaw is the X Athena Widget Set.
Xaw is a widget set based on the X Toolkit Intrinsics (Xt) Library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_includedir}/X11/Xaw/*.h
%{_includedir}/X11/Xaw/Template.c
%{_libdir}/%{modname}*.so*
%{_libdir}/pkgconfig/xaw{6,7}.pc
%{_defaultdocdir}/%{name}-%{version}/*.xml
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{modname}-%{version}


#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install
%{__mkdir_p} %{buildroot}%{_sysconfdir}/X11/xorg.conf.d

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
